#
# spec file for package perl-Sub-Identify
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Sub-Identify
Version:        0.14
Release:        1.47
%define cpan_name Sub-Identify
Summary:        Retrieve names of code references
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Sub-Identify/
Source0:        https://cpan.metacpan.org/authors/id/R/RG/RGARCIA/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
'Sub::Identify' allows you to retrieve the real name of code references.

It provides six functions, all of them taking a code reference.

'sub_name' returns the name of the code reference passed as an argument (or
'__ANON__' if it's an anonymous code reference), 'stash_name' returns its
package, and 'sub_fullname' returns the concatenation of the two.

'get_code_info' returns a list of two elements, the package and the
subroutine name (in case of you want both and are worried by the speed.)

In case of subroutine aliasing, those functions always return the original
name.

'get_code_location' returns a two-element list containing the file name and
the line number where the subroutine has been defined.

'is_sub_constant' returns a boolean value indicating whether the subroutine
is a constant or not.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README.mdown TODO.mdown

%changelog
* Wed Apr 12 2017 coolo@suse.com
- updated to 0.14
  see /usr/share/doc/packages/perl-Sub-Identify/Changes
  0.14 2017-04-11 RGARCIA
  - Make tests pass without . in @INC (actual fix, by James E Keenan)
* Mon Apr  3 2017 coolo@suse.com
- updated to 0.13
  see /usr/share/doc/packages/perl-Sub-Identify/Changes
* Thu Sep 10 2015 coolo@suse.com
- updated to 0.12
  see /usr/share/doc/packages/perl-Sub-Identify/Changes
  0.12- Rafael Garcia-Suarez (2):
    Update changes for 0.11
    Fix build on perl 5.8
  0.11- B. Estrade (1):
    Adding new test for signatures as part of Feb 2015 PRC.
    Rafael Garcia-Suarez (8):
    Bump version to 0.10
    Merge pull request #6 from estrabd/Issue-5-add-signature-test
    Fix skipping tests on earliers perls
    Add new test to MANIFEST
    Do not let get_code_location() segfault on XSUBs
    Add a test for calling get_code_location on XSUBs
    Add a pure-perl version of last test
    Bump version
  0.10- No changes
* Fri Sep  4 2015 coolo@suse.com
- updated to 0.11
  see /usr/share/doc/packages/perl-Sub-Identify/Changes
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.10
  see /usr/share/doc/packages/perl-Sub-Identify/Changes
  0.09- A. Sinan Unur (1):
    Fix test failure due to hard-coded filenames.
  0.08- Rafael Garcia-Suarez (2):
    Require at least perl 5.8.0
    Improve docs beyond a really terse synopsis
  0.07- Rafael Garcia-Suarez (1):
    Require B unconditionally on older perls
  0.06- Rafael Garcia-Suarez (4):
    Remove perl version requirement
    Skip tests that rely on perls more recent than 5.14.0
    Update ppport.h
    Use the pure-perl version of is_sub_constant on perls earlier than 5.16
  0.05- Rafael Garcia-Suarez (13):
    Add test for function prototypes
    Require at least perl 5.14.1
    Better, simpler code for testing if we can load the XS version
    Add gitignore file
    Experimental implementation of get_code_location
    Add XS implementation of get_code_location()
    Add test for the prototype of get_code_location
    Make get_code_location work on undefined subs
    Add link to github repo in the meta file
    Add TODO file
    Add pure-perl implementation of is_sub_constant()
    Add XS implemetation of is_constant_sub()
    Add documentation
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Thu Nov 11 2010 chris@computersalat.de
- recreated by cpanspec 1.78
  o fixed deps
* Thu Dec 10 2009 chris@computersalat.de
- initial pkg 0.04
